OGRE-Next: Ogre::v1::TransformKeyFrame Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::TransformKeyFrame Class Referencefinal
Core » Animation

Specialised KeyFrame which stores a full transform. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::v1::TransformKeyFrame:
[legend]

## Public Member Functions
| TransformKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~TransformKeyFrame () override
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only).
virtual const Quaternion & | getRotation () const
| Gets the rotation applied by this keyframe.
virtual const Vector3 & | getScale () const
| Gets the scaling factor applied by this keyframe.
const Vector3 & | getTranslate () const
| Gets the translation applied by this keyframe.
virtual void | setRotation (const Quaternion &rot)
| Sets the rotation applied by this keyframe.
virtual void | setScale (const Vector3 &scale)
| Sets the scaling factor applied by this keyframe to the animable object at it's time index.
virtual void | setTranslate (const Vector3 &trans)
| Sets the translation associated with this keyframe.
Public Member Functions inherited from Ogre::v1::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime () const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which stores a full transform.

## Constructor & Destructor Documentation

## ◆ TransformKeyFrame()

Ogre::v1::TransformKeyFrame::TransformKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~TransformKeyFrame()

Ogre::v1::TransformKeyFrame::~TransformKeyFrame | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _clone()

KeyFrame * Ogre::v1::TransformKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| overridevirtual

Clone a keyframe (internal use only).

Reimplemented from Ogre::v1::KeyFrame.

References Ogre::v1::KeyFrame::KeyFrame().

## ◆ getRotation()

virtual const Quaternion & Ogre::v1::TransformKeyFrame::getRotation | ( |  | ) | const
| virtual

Gets the rotation applied by this keyframe.

## ◆ getScale()

virtual const Vector3 & Ogre::v1::TransformKeyFrame::getScale | ( |  | ) | const
| virtual

Gets the scaling factor applied by this keyframe.

## ◆ getTranslate()

const Vector3 & Ogre::v1::TransformKeyFrame::getTranslate | ( |  | ) | const

Gets the translation applied by this keyframe.

## ◆ setRotation()

virtual void Ogre::v1::TransformKeyFrame::setRotation | ( | const Quaternion & | rot | ) |
| virtual

Sets the rotation applied by this keyframe.

Parameters

  rot | The rotation applied; use Quaternion methods to convert from angle/axis or Matrix3 if you don't like using Quaternions directly.

## ◆ setScale()

virtual void Ogre::v1::TransformKeyFrame::setScale | ( | const Vector3 & | scale | ) |
| virtual

Sets the scaling factor applied by this keyframe to the animable object at it's time index.

Parameters

  scale | The vector to scale by (beware of supplying zero values for any component of this vector, it will scale the object to zero dimensions)

## ◆ setTranslate()

virtual void Ogre::v1::TransformKeyFrame::setTranslate | ( | const Vector3 & | trans | ) |
| virtual

Sets the translation associated with this keyframe.

Remarks
  The translation factor affects how much the keyframe translates (moves) it's animable object at it's time index.

Parameters

  trans | The vector to translate by

The documentation for this class was generated from the following file:

- OgreKeyFrame.h